API reference
Activate an immutable spending policy version
Activate an immutable spending policy version. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
POST
/v1/agent-payments/agents/{agentId}/policy-versions/{versionId}/activateAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Response Body
application/json
curl -X POST "https://example.com/v1/agent-payments/agents/{agentId}/policy-versions/{versionId}/activate"{
"id": "string",
"agent_id": "string",
"version": 1,
"document": {
"network": "eip155:1",
"asset": {
"symbol": "USDC",
"contract_address": "stringstringstringstringstringst"
},
"networks": [
{
"network": "eip155:1",
"asset": {
"symbol": "USDC",
"contract_address": "stringstringstringstringstringst"
}
}
],
"allowed_origins": [
"string"
],
"allowed_pay_to": [
"stringstringstringstringstringst"
],
"automatic_payment_threshold_atomic": "string",
"per_payment_limit_atomic": "string",
"agent_daily_limit_atomic": "string",
"require_approval_for_unknown_origin": true,
"require_approval_for_unknown_pay_to": true,
"approval_tiers": [
{
"minimum_amount_atomic": "string",
"required_approvals": 1
}
]
},
"document_hash": "string",
"created_by": "string",
"created_at": "2019-08-24T14:15:22Z",
"activated_at": "2019-08-24T14:15:22Z",
"superseded_at": "2019-08-24T14:15:22Z"
}Empty
How is this guide?
Last updated
Retrieve a spending policy version GET
Retrieve a spending policy version. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
Simulate a payment against a spending policy POST
Simulate a payment against a spending policy. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.